Wind River Support Network

HomeDefectsLIN5-375
Fixed

LIN5-375 : Feature Testing: the LAYERVERSION or LAYERDEPENDS is not defined for some wrlinux layers

Created: Dec 28, 2012    Updated: Dec 19, 2017
Resolved Date: Mar 20, 2013
Found In Version: 5.0.1
Fix Version: 5.0.1.1
Severity: Severe
Applicable for: Wind River Linux 5
Component/s: Yocto Compliance

Description

Problem Description
======================
Each of wrlinux layer should have the definations of LAYERVERSION and LAYERDEPENDS in its layer.conf
But the variables are not defined in followint layers:
examples/fs-final
examples/kernel-config-example
local
meta-networking
meta-selinux
meta-webserver
oe-core/meta
oe-core/meta-hob
oe-core/meta-skeleton
wr-intel-support
wr-kvm-support/binary-guest-images
wr-kvm-support/compile-guest-kernels

Expected Behavior
======================
LAYERVERSION and LAYERDEPENDS are defined for each wrlinux layer.

Observed Behavior
======================
missing LAYERVERSION and LAYERDEPENDS in some layer.conf

Logs
======================
N/A

Misc Info 
======================
N/A

Steps to Reproduce

step 1; configure --enable-board=qemux86-64 --enable-kernel=standard --enable-rootfs=glibc-small --enable-parallel-pkgbuilds=5 --enable-jobs=5 --enable-checkout-all-layers=yes
step 2; for each layer in $prjdir/layers, check the layer.conf to see whether the LAYERVERSION and LAYERDEPENDS are defined or not.

Other Downloads


Live chat
Online